<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="ENGINE" mode="general">
		<div class="SESEngine">
			<table border="0" cellpadding="0" cellspacing="0" width="292">
				<tr>
					<td class="SB_Style_formfield" style="width:35px;text-align:center;vertical-align:top;">
						<input type="checkbox" name="selected_engines[]" style="border-width: 0px;" onchange="document.forms[0].sb_changes.value='1';">
							<xsl:attribute name="value">
								<xsl:value-of select="@ID" />
							</xsl:attribute>
							<xsl:if test="not(RESULT)">
								<xsl:attribute name="checked">true</xsl:attribute>
							</xsl:if>
						</input>
					</td>
					<td class="SESTitle">
						<xsl:choose>
							<xsl:when test="LOGO">
								<xsl:apply-templates select="LOGO">
									<xsl:with-param name="title" select="@CAPTION" />
								</xsl:apply-templates>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@CAPTION" />
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>&#160;(</xsl:text>
						<a class="SB_Style_formtitle" style="font-weight:bold;" target="_blank">
							<xsl:attribute name="href">http://<xsl:value-of select="@URL" /></xsl:attribute>
							<xsl:value-of select="@URL" />
						</a>
						<xsl:text>)</xsl:text>
					</td>
					<td class="SB_Style_formtitle" style="text-align: right; padding-right: 12px;">
						<xsl:apply-templates select="RESULT" mode="general" />
					</td>
				</tr>
			</table>
		</div>
	</xsl:template>
	<xsl:template match="RESULT" mode="general">
		<xsl:if test="position()=1">
			<a class="SB_Style_formtitle" target="_blank">
				<xsl:attribute name="href">
					<xsl:value-of select="@URL" />
				</xsl:attribute>
				<xsl:attribute name="title">
                                        <xsl:value-of select="//VIEW_RESULT" />...
                                </xsl:attribute>
				<img src="{$baseURL}/images/prew.gif" border="0">
					<xsl:attribute name="title">
                                                <xsl:value-of select="//VIEW_RESULT" />...
                                        </xsl:attribute>
				</img>
			</a>
		</xsl:if>
	</xsl:template>
	<xsl:template match="SUBMISSION">
		<xsl:apply-templates select="//ENGINES/ENGINE" mode="submission" />
	</xsl:template>
	<xsl:template match="ENGINE" mode="submission">
                <xsl:text>$this->urls_['</xsl:text><xsl:value-of select="@ID" /><xsl:text>']=array();</xsl:text>
                <xsl:apply-templates select="ACTION" mode="submission">
			<xsl:with-param name="id">
				<xsl:value-of select="@ID" />
			</xsl:with-param>
		</xsl:apply-templates>
        </xsl:template>
	<xsl:template match="LOGO">
		<xsl:param name="title" select="''" />
		<img>
			<xsl:attribute name="src">/modules/sesubmission/logos/<xsl:value-of select="@FILE" /></xsl:attribute>
			<xsl:attribute name="height">
				<xsl:value-of select="@HEIGHT" />
			</xsl:attribute>
			<xsl:attribute name="width">
				<xsl:value-of select="@WIDTH" />
			</xsl:attribute>
			<xsl:attribute name="alt">
				<xsl:value-of select="$title" />
			</xsl:attribute>
			<xsl:attribute name="title">
				<xsl:value-of select="$title" />
			</xsl:attribute>
		</img>
	</xsl:template>
	<xsl:template match="ACTION" mode="submission">
                <xsl:param name="id" select="''" />
                $this->urls_['<xsl:value-of select="$id" />'][<xsl:value-of select="position()" />]['action']="<xsl:value-of select="@BASE" />
                <xsl:apply-templates select="PARAMETER" mode="submission" />
                <xsl:if test="count(PARAMETER)!=0">&amp;</xsl:if>";
                $this->urls_['<xsl:value-of select="$id" />'][<xsl:value-of select="position()" />]['cookies']='<xsl:choose>
			<xsl:when test="@COOKIES">
				<xsl:value-of select="@COOKIES" />
			</xsl:when>
			<xsl:otherwise>none</xsl:otherwise>
		</xsl:choose>';
        </xsl:template>
	<xsl:template match="PARAMETER" mode="submission">
                <xsl:value-of select="@VALUE" />=$<xsl:value-of select="@NAME" />
                <xsl:if test="position()!=last()">&amp;</xsl:if>
        </xsl:template>
</xsl:stylesheet>
